Bug 1733599 - Alt+TAB graphic is too f\kng confusing to make any sense on some lower level of functioning :p
Summary: Alt+TAB graphic is too f\kng confusing to make any sense on some lower level ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xfwm4
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-26 17:43 UTC by klfyt
Modified: 2021-07-30 17:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 23:29:58 UTC
Type: Bug


Attachments (Terms of Use)

Description klfyt 2019-07-26 17:43:19 UTC
Description of problem:
Immediate response to Alt-Tab creates fake perception of lag,
simple would be to perform switch to next window
only then Alt-Tab is released.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:
1. Press Alt-Tab
2. Release Alt-Tab
3. perform switch

Additional info:
I think this way Alt-TAB feels more natural.  :))

Comment 1 klfyt 2019-07-27 15:29:30 UTC
This should be UX.
You bring up alt tab screen then you press alt tab,
but the choice has already been made.  :)

Comment 2 klfyt 2019-07-27 20:55:32 UTC
fff ffffffffffffffffff   fffffffffffffffffffffff

Comment 3 klfyt 2019-07-27 20:57:02 UTC
Excuse these letters.  >:]

Basically Alt tab is very unnatural,
you have to redo it either using animation
or changing order here somehow.

:)

Comment 4 klfyt 2019-07-28 10:00:50 UTC
Here is how I would redo this:

alt tab > bring up alt tab selection and screen show selected window > show the rest of windows a bit later

Comment 5 klfyt 2019-07-30 21:04:03 UTC
Use padding?  :-)     

X  ZXCVN




(X is selected window)

Comment 6 klfyt 2019-08-02 14:52:32 UTC
Turn it on.

^ / ^

Comment 7 klfyt 2019-08-03 12:52:47 UTC
(In reply to klfyt from comment #6)
> Turn it on.
> 
> ^ / ^

Turning it on would be stupid, I guess
l33t padding would suffice. 

:))

Comment 8 klfyt 2019-08-04 20:16:39 UTC
How about you show next window first?

>:]

Comment 9 klfyt 2019-08-05 10:13:45 UTC
alt tab --> animate relisting event

:-)

Comment 10 klfyt 2019-08-05 17:38:36 UTC
With alt tab combo you expect one window but you get
many instead. This is basic contradiction.

:-)

Comment 11 klfyt 2019-08-07 14:07:06 UTC
It's just too close with 4 windows or less.

:)   alt tab --> big view!?

Comment 12 klfyt 2019-08-07 20:46:31 UTC
I believe this is called noob interface.

>:]

Comment 13 klfyt 2019-08-13 20:11:32 UTC
(In reply to klfyt from comment #0)
> Description of problem:
> Immediate response to Alt-Tab creates fake perception of lag,
> simple would be to perform switch to next window
> only then Alt-Tab is released.
> 
> Version-Release number of selected component (if applicable):
> 
> 
> How reproducible:
> 
> 
> Steps to Reproduce:
> 1.
> 2.
> 3.
> 
> Actual results:
> 
> 
> Expected results:
> 1. Press Alt-Tab
> 2. Release Alt-Tab
> 3. perform switch
> 
> Additional info:
> I think this way Alt-TAB feels more natural.  :))

Alt-TAB > bring up interface with selected window already in the first place!  :-)

This is less confusing.  :))


NOW
..x....

FIX
x......

Comment 14 Kevin Fenzi 2019-08-13 20:33:49 UTC
hey klfyt.

Could I make some suggestions that will help your bug reports not being ignored?

Please try and describe the single exact issue you are seeing instead of jumping around and changing the focus of a bug all the time. 

Realise that many factors go into performance issues, so saying something is 'fast' or 'slow' or 'laggy' or 'faster' or 'fast' isn't very helpfull. Can you take a objective time measurement? 

Also realize that if you are looking at very small differences, it's unlikely to be something anyone has time to work on, given all the other things people work on. 

Don't change the title and component and add/remove people from cc all the time. That just causes people to see it as noise and stop looking. File a bug, leave it until you are asked for more information or the maintainers of a component move it to another component or add/remove people. 

Realize that abstract improvements of something are almost always done upstream. Fedora packages the software and bugs in that packaging are fine here, but if you are asking for new features or a redesign of something or changing the way it looks, thats almost always better done upstream.

Comment 15 klfyt 2019-08-17 15:26:51 UTC
(In reply to Kevin Fenzi from comment #14)
> hey klfyt.
> 
> Could I make some suggestions that will help your bug reports not being
> ignored?
> 
> Please try and describe the single exact issue you are seeing instead of
> jumping around and changing the focus of a bug all the time. 
> 
> Realise that many factors go into performance issues, so saying something is
> 'fast' or 'slow' or 'laggy' or 'faster' or 'fast' isn't very helpfull. Can
> you take a objective time measurement? 
> 

I'm looking at alt tab through UX.  :))

Here are different things at play like fear of loss,
flight or fight response, etc.

:))

Comment 16 Kevin Fenzi 2019-08-22 23:08:37 UTC
Alt tab has nothing to do with all that. it just switches between applications and windows.

Comment 17 klfyt 2019-09-20 08:44:08 UTC
PRESS alt tab --> ALT TAB WINDOW?  O_o

:))


Maybe better would be

PRESS alt tab --> next thing


>:]

Comment 18 klfyt 2019-09-29 15:20:07 UTC
(In reply to klfyt from comment #13)
> (In reply to klfyt from comment #0)
> 
> Alt-TAB > bring up interface with selected window already in the first
> place!  :-)
> 
> This is less confusing.  :))
> 
> 
> NOW
> ..x....
> 
> FIX
> x......


Move selected window to a first place.

thx.  :-)

Comment 19 Ben Cotton 2019-10-31 18:48:00 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 20 Ben Cotton 2019-11-27 23:29:58 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 21 mouseyklfyt 2021-02-18 20:47:38 UTC
Crazy explanation is that the alt-tab
gets confusing because it is showing
the action which has already taken
place.

Obviously this is really minor
change in workflow.



Alt + TAB  -->  window  -->  Alt + TAB 

Is better?   :)

Comment 22 mouseyklfyt 2021-02-21 12:54:45 UTC
!

You are putting selection on 2nd position.

[] x [] []



If you had selection on 1st position, everything would make sense.   :)

x [] [] []

Comment 23 spatialdistortion 2021-07-30 17:03:12 UTC
(In reply to mouseyklfyt from comment #22)
> !
> 
> You are putting selection on 2nd position.
> 
> [] x [] []


I know why!   :)

You can't see what window is minimized. Interesting
I didn't guess correctly what is wrong about ALT-TAB.   :)


Note You need to log in before you can comment on or make changes to this bug.